/*CSS Reset - It is used to 0 the default margins and paddings of all elements because browsers add a default margin and padding value per element.*/
* {
	margin: 0;
	padding: 0;
}
body {
	font-family: "Open Sans", sans-serif;
	background-color: #DFDFDF;
}

nav {
	padding: 0.8rem;/*.8 x 16px(default font size) = 12.8px*/
	margin-bottom: 2rem;/*32px = 2 x 16px(default font size)*/
	border-bottom: 1px solid gray;

}

/*multiple selector will allow us to target elements with multiple combinators and selectors*/
nav .nav, nav .nav-logo {

	margin: 0.5rem;
	/*
		display property will allow us to change how elements are displayed.
		li, by default, is block. But, with display property we can change it to inline.
	*/
	display: inline;

}

#intro {
	/*percentage as measurements are good practice for mobile res
	ponsiveness. Since the body occupies of the full width of the 
	screen, the percentage's size will adjust according to the screen.*/

	padding-left: 10%;
	padding-right:  10%;
	padding-top:  2rem;
	padding-bottom:  3rem;
	text-align:  center;
}

.header {
	text-align: center;
}

#intro h2, #intro p {
	margin-bottom: 1rem;
}
.nav > a {
	font-weight: bold;
	color: #0C0500;
	text-decoration: none;
}
.nav > a:hover {
	color: #ED0202;
	text-decoration: none;
	transition: 0.2s;
	transition-delay: 0.2s;
}
#intro button {
	color: white;
	border-radius: 25px;
	font-weight: bold;
	background-color: #c2195b;
	font-size:  1rem;
	padding: 1rem;
	transition-duration: 0.5s;
}
#intro button:hover {
 	background-color: #FF1300; /* Green */
  	color: white;
  	cursor: pointer;

}

#succeed-info {
	/*
		padding shorthand: ;
		padding: value; = all sides
		padding:  top x-axis bottom; = 3 values
		padding:  y-axis(top and bottom) x-axis(left and right); = 2 values
		padding:  top right bottom left; = 4 values
	*/
	padding: 2rem 10% 3rem;

}
#succeed-info h2 {
	margin-bottom: 1rem;
}
#succeed-info h3 {
	text-align: center;
	margin-bottom:  2rem;
}
#succeed-info .card {
	background-color: #FEFEFE;
	padding: 3rem 1% 3rem;
	display: inline-block;
	/* Each card is at least 30% of its parents width. To divide 
	the parent element's width evenly, 33.33%. 30% was set
	to account for the margins set for each element. */
	width: 30%;
	
	/* vertical align top will allow us to align our inline-block
	elements vertically starting from the top. */
	vertical-align: top;
	/*min-height will determine a minimum height for the element.
	That if the content's height does reach for exceed our 
	minimum-height, the minimum-height will be employed as the 
	height of your element.*/
	min-height: 175px;
	/*border: 1px solid black;*/
}
#succeed-info .card:hover {
	font-size: 17px;
	transition-duration: 0.8s;
	color: #F74604;
} 

/* pre-footer */
#pre-footer {
	padding: 1rem;
	background-color: #002540;
	color: white;
}
#pre-footer > div > h3 {
	font-weight: bold;
	padding-bottom: 0.4rem;
	
}
#pre-footer > div {
	display: inline-block;
	padding-left: 3rem;
	text-align: left;
	vertical-align: top;
	width: 20%;
}


/* footer */
footer {
	padding: 0.7rem;
	text-align: center;
	
}
footer > span{
	margin-left: 0.5rem;
	margin-right: 0.5rem;
}



















.img-wrapper {
	width: 600px;
	height: 350px;
	overflow: hidden;
	margin: 1rem 30% 1rem;
	border: 1px solid black;
}
.inner-img {
	transition: 0.3s;
}
.inner-img:hover {
	transform: scale(1.1);
}













@media only screen and (max-width: 600px) {
  #succeed-info .card {
    text-align: center;
    width: 100%;
    margin-bottom: 10px;
    display: block;
    text-align: center;
  }
  #pre-footer > div {
	display: block;
	padding-left: 3rem;
	text-align: left;
	vertical-align: top;
	width: 20%;

}
}




